Bug 838409 - NullPointerException in CXF DOMUtils when soap header contains null namespace element
NullPointerException in CXF DOMUtils when soap header contains null namespace...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: EAP (Show other bugs)
5.2.0 GA
Unspecified Unspecified
medium Severity unspecified
: CR1
: 5.3.0 GA
Assigned To: Default User
Martin Vecera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 22:57 EDT by Kyle Lape
Modified: 2014-10-15 13:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Method findAllElementsByTagNameNS in cxf/trunk/api/src/main/java/org/apache/cxf/helpers/DOMUtils.java attempts to perform elementList.add(el) when el.getNamespaceURI() == null. This means that when ReadHeaderInterceptor processes an inbound SOAP message with a null namespace Header element, the user encounters a NullPointerException. Method findAllElementsByTagNameNS now additionally checks that el.getNamespaceURI() != null before proceeding to perform elementList.add(el). ReadHeaderInterceptor can now process an inbound SOAP message with a null namespace Header element and the user no longer encounters the Exception.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-15 13:26:00 EDT
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cxf-4408 patch (733 bytes, application/octet-stream)
2012-07-08 22:57 EDT, Kyle Lape
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA CXF-4408 None None None 2012-07-08 22:57:16 EDT

  None (edit)
Description Kyle Lape 2012-07-08 22:57:15 EDT
Created attachment 596970 [details]
cxf-4408 patch

When ReadHeaderInterceptor processes the following inbound SOAP message, DOMUtils throws a NullPointerException for the null namespace Header element:

<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:foo="http://cxf.apache.org/foo" xmlns:bar="http://cxf.apache.org/bar">
  <soapenv:Header>
    <foo:myheader>
      <Header>
        <bar:type>mytype</head:type>
      </Header>
    </foo:myheader>
  </soapenv:Header>
  ...

A NPE guard is needed.
Comment 1 Rick Wagner 2012-07-09 16:58:15 EDT
GSS will work to manage customer expectations concerning timing.  If this patch must come after 5.3GA, that's acceptable.
Comment 2 Ryan Zhang 2012-07-20 02:34:59 EDT
Please verify this issue on 5.3.0 CR1.
Comment 3 Ryan Zhang 2012-07-20 05:02:49 EDT
The patched cxf build is fetched from https://brewweb.devel.redhat.com/buildinfo?buildID=220711
Comment 4 Jiri Pechanec 2012-07-25 07:42:07 EDT
Verified in CR1

Note You need to log in before you can comment on or make changes to this bug.